package cz.muni.fi.pb162.cv6;
/**
 * Representation of a circle
 * 
 * @author Zuzana Neverilova (3839)
 * @version 2010-11-01
 */
public class Circle extends Shape
{
    private double diameter;

    /**
     * Constructor for objects of class Circle
     * @param diameter diameter of the circle
     */
    public Circle(double diameter)
    {
        super("circle", "kruh");
        this.diameter = diameter;
    }
    
    /**
     * Returns the area of the circle
     * @return area of the circle (no units)
     */
    public double getArea(){
        return (diameter/2) * (diameter/2) * Math.PI;
    }
}
